<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveMultiple Method (DatabaseEntry, Boolean, LockingInfo)
Cursor Class See Also Send Feedback

Set the cursor to refer to key, and store that key and as many duplicate data items associated with the given key that can fit in a buffer the size of one database page in CurrentMultiple.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool MoveMultiple(
    	DatabaseEntry key,
    	bool exact,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveMultiple ( _
    	key As DatabaseEntry, _
    	exact As Boolean, _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveMultiple(
    	DatabaseEntry^ key,
    	bool exact,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key at which to position the cursor

exact
  Type: System..::.Boolean
  If false and in a database configured for sorted duplicates, position the cursor at the smallest key greater than or equal to the specified key, permitting partial key matches and range searches. Otherwise, require the given key to match the key in the database exactly.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveMultiple Overload
BerkeleyDB Namespace